package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.resource.domain.ModelComment;
import com.mcwl.resource.domain.vo.ModelCommentVo;
import com.mcwl.resource.domain.vo.ModelImageCommentVo;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.service
 * @Filename：ModelCommentService
 * @Description TODO
 * @Date：2025/1/12 11:58
 */
public interface ModelCommentService extends IService<ModelComment> {
    void comment(ModelComment modelComment);

    /**
     * 获取评论
     * @param imageId 图片id
     * @return 评论区
     */
    List<ModelCommentVo> getComment(Long imageId);

}
